### Method

# Gck Session unwrap_key_finish

#### Declaration [src]

    GckObject*
    gck_session_unwrap_key_finish (
      GckSession* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the result of a unwrap key operation.

#### Parameters

`result`

  Type: `GAsyncResult`

  The async result passed to the callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckObject`

The new unwrapped key or `NULL` if the operation failed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.